---
updatedAt: 2026-04-22T15:20:35.000Z
agentTools:
  projectIndex: https://docs.data.one/llms.txt
---

# Get DataOne Income Report

This report provides a series of metrics to understand the income for the user. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 43.0.0.

Note: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "info": {
    "version": "v1",
    "title": "Reports",
    "description": "Endpoints relating to fetching reports for a user, which are collections of aggregated data points"
  },
  "paths": {
    "/v1/reports/data-one-income-v2": {
      "get": {
        "tags": [
          "Standard v43"
        ],
        "operationId": "getDataOneIncomeReportV2",
        "summary": "Get DataOne Income Report",
        "description": "This report provides a series of metrics to understand the income for the user. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 43.0.0.\n\nNote: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.",
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/QueryUserId"
          },
          {
            "$ref": "#/components/parameters/QueryAccountId"
          }
        ],
        "responses": {
          "200": {
            "description": "The report results with a map of the aggregations as configured in the report.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DataOneIncomeReportResponseV2"
                }
              }
            }
          },
          "400": {
            "description": "Account IDs do not conform to UUID format."
          },
          "401": {
            "$ref": "#/components/responses/ApiKeyUnauthorizedError"
          },
          "403": {
            "description": "Access is forbidden if categorisation is disabled."
          },
          "404": {
            "description": "Report ID does not exist for partner."
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.data.one",
      "description": "Hostname for sandbox API."
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Secret API key used for authentication."
      }
    },
    "schemas": {
      "DataOneIncomeReportResponseV2": {
        "type": "object",
        "description": "The report aggregation results are returned in the `queries` field as a map keyed by the query identifier.",
        "properties": {
          "reportId": {
            "$ref": "#/components/schemas/ReportId"
          },
          "categorisationVersion": {
            "$ref": "#/components/schemas/CategorisationVersion"
          },
          "queries": {
            "type": "object",
            "properties": {
              "familyBenefitsIncome90d": {
                "type": "object",
                "description": "Family benefits income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "familyBenefitsIncome180d": {
                "type": "object",
                "description": "Family benefits income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "familyBenefitsIncome365d": {
                "type": "object",
                "description": "Family benefits income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "investmentsIncome90d": {
                "type": "object",
                "description": "Investment income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "investmentsIncome180d": {
                "type": "object",
                "description": "Investment income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "investmentsIncome365d": {
                "type": "object",
                "description": "Investment income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "otherBenefitsIncome90d": {
                "type": "object",
                "description": "Benefits income, excluding family benefits, over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "otherBenefitsIncome180d": {
                "type": "object",
                "description": "Benefits income, excluding family benefits, over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "otherBenefitsIncome365d": {
                "type": "object",
                "description": "Benefits income, excluding family benefits, over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "pensionIncome90d": {
                "type": "object",
                "description": "Pension income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "pensionIncome180d": {
                "type": "object",
                "description": "Pension income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "pensionIncome365d": {
                "type": "object",
                "description": "Pension income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "rentalIncome90d": {
                "type": "object",
                "description": "Rental income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "rentalIncome180d": {
                "type": "object",
                "description": "Rental income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "rentalIncome365d": {
                "type": "object",
                "description": "Rental income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "salaryIncome90d": {
                "type": "object",
                "description": "Salary income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "salaryIncome180d": {
                "type": "object",
                "description": "Salary income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "salaryIncome365d": {
                "type": "object",
                "description": "Salary income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "studentLoanFundsIncome90d": {
                "type": "object",
                "description": "Student loan funds income over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "studentLoanFundsIncome180d": {
                "type": "object",
                "description": "Student loan funds income over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "studentLoanFundsIncome365d": {
                "type": "object",
                "description": "Student loan funds income over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "undefinedIncome90d": {
                "type": "object",
                "description": "Undefined income over the last 90 days. Transactions fall into this category when they are incoming transactions, >= £100, not a 'round pound' amount and haven't been put into any other category by our rules.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "undefinedIncome180d": {
                "type": "object",
                "description": "Undefined income over the last 180 days. Transactions fall into this category when they are incoming transactions, >= £100, not a 'round pound' amount and haven't been put into any other category by our rules.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "undefinedIncome365d": {
                "type": "object",
                "description": "Undefined income over the last 365 days. Transactions fall into this category when they are incoming transactions, >= £100, not a 'round pound' amount and haven't been put into any other category by our rules.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "example": {
          "reportId": "data-one-income-v2",
          "categorisationVersion": "43.0.0",
          "queries": {
            "familyBenefitsIncome90d": {
              "results": [
                {
                  "sumAmount": 400
                }
              ]
            },
            "familyBenefitsIncome180d": {
              "results": [
                {
                  "sumAmount": 600
                }
              ]
            },
            "familyBenefitsIncome365d": {
              "results": [
                {
                  "sumAmount": 600
                }
              ]
            },
            "investmentsIncome90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "investmentsIncome180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "investmentsIncome365d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "otherBenefitsIncome90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "otherBenefitsIncome180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "otherBenefitsIncome365d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "pensionIncome90d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "pensionIncome180d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "pensionIncome365d": {
              "results": [
                {
                  "sumAmount": 200
                }
              ]
            },
            "rentalIncome90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "rentalIncome180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "rentalIncome365d": {
              "results": [
                {
                  "sumAmount": 500
                }
              ]
            },
            "salaryIncome90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "salaryIncome180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "salaryIncome365d": {
              "results": [
                {
                  "sumAmount": 5000
                }
              ]
            },
            "studentLoanFundsIncome90d": {
              "results": [
                {
                  "sumAmount": 200
                }
              ]
            },
            "studentLoanFundsIncome180d": {
              "results": [
                {
                  "sumAmount": 200
                }
              ]
            },
            "studentLoanFundsIncome365d": {
              "results": [
                {
                  "sumAmount": 200
                }
              ]
            },
            "undefinedIncome90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "undefinedIncome180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "undefinedIncome365d": {
              "results": [
                {
                  "sumAmount": 50
                }
              ]
            }
          }
        }
      },
      "ReportId": {
        "type": "string",
        "description": "A human readable string representing the unique ID for the report."
      },
      "CategorisationVersion": {
        "type": "string",
        "enum": [
          "42.0.0",
          "43.0.0",
          "44.0.0"
        ],
        "description": "The version of the categorisation engine used to generate the report."
      },
      "ReportAggregateSumAmount": {
        "type": "number",
        "description": "The sum of the amount of each transaction when the containing query is used."
      }
    },
    "responses": {
      "ApiKeyUnauthorizedError": {
        "description": "API key authentication unsuccessful."
      }
    },
    "parameters": {
      "QueryUserId": {
        "in": "query",
        "name": "userId",
        "description": "The User ID.",
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "required": true,
        "example": "2590eaff-94dc-43f4-be30-bdab6c2cec8b"
      },
      "QueryAccountId": {
        "in": "query",
        "name": "accountId",
        "description": "Optional Account IDs. Can specify one or more values in order to aggregate over specific accounts. Leave out in order to aggregate over all user accounts.",
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid"
          }
        },
        "style": "form",
        "required": false,
        "explode": true,
        "example": [
          "845c7468-123a-4139-a098-e3378c7598b2",
          "bdda349c-0c32-41e1-9020-7a4016668ae7"
        ]
      }
    }
  }
}
```